//S2_AttributsStyles_205f.js
// 02.12.08 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//Sert  assembler les attributs des styles de paragraphes et/ou de caractres

if (app.documents.length == 0) {
	alert ("Il n'y a pas de document ouvert.", "Attention");
	exit();
}

//--- dresser la liste des styles de paragraphes ---//
var dlogPStyles = app.documents[0].paragraphStyles.everyItem().name;
// remplacer le contenu du premier lment par une astrisque
dlogPStyles[0] = "*";
// insrer un lment vide au dbut
dlogPStyles = [""].concat(dlogPStyles);
nDlogPStyles = dlogPStyles.length;

//--- dresser la liste des styles de caractres ---//
var dlogCStyles = app.documents[0].characterStyles.everyItem().name;
// remplacer le contenu du premier lment par une astrisque
dlogCStyles[0] = "*";
// insrer un lment vide au dbut
dlogCStyles = [""].concat(dlogCStyles);
nDlogCStyles = dlogCStyles.length;

// effacer des dialogues qui sont ventuellement rests dans la mmoire
try {
	app.dialogs.everyItem().destroy();
}
catch (e) {
}

// activer l'affichage des dialogues (mesure prventive)
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

// crer un dialogue
var aDialog = app.dialogs.add({name:"Slectionner le style  rpertorier", canCancel:true});
with (aDialog) {
	with (dialogColumns.add()) {
		with (dialogRows.add()) {
			staticTexts.add({staticLabel:"Style de paragraphes:"});
			staticTexts.add({staticLabel:" "});
		}
		with (borderPanels.add()) {
			with (dialogColumns.add()) {
				var paraName = dropdowns.add({stringList:dlogPStyles, selectedIndex:0, minWidth:180});
			}
		}
		with (dialogRows.add()) {
			staticTexts.add({staticLabel:"Style de caractres:"});
			staticTexts.add({staticLabel:" "});
		}
		with (borderPanels.add()) {
			with (dialogColumns.add()) {
				var charName = dropdowns.add({stringList:dlogCStyles, selectedIndex:0, minWidth:180});
			}
		}
	}
	with (dialogColumns.add()) {
		staticTexts.add({staticLabel:"", minWidth:4});
	}
}
// montrer le dialogue
if (aDialog.show() == true) {
	// reprendre les choix de l'utilisateur
	var paraID = paraName.selectedIndex;
	var charID = charName.selectedIndex;
	// effacer le dialogue de la mmoire
	aDialog.destroy();
}
else {
	aDialog.destroy();
	exit();
}

// mmoriser le nom du document
var docName = app.documents[0].name;

// tester le choix de l'utilisateur
if (paraID != 0) {
	var curPara;
	var newDocP = makeDoc();
	var newParaDoc = newDocP[0];
	var nParaStyles;
	var oldY1 = newDocP[1];
	var oldX1 = newDocP[2];
	var oldY2 = newDocP[3];
	var oldX2 = newDocP[4];
	var pCtr = 0;
	if (paraID == 1) {
		var paraString = "";
		try {
			// essayer de mmoriser le contenu du bloc "ParaStyles"
			// lorsque l'astrisque a t slectionne
			paraString = app.documents.item(docName).textFrames.item("ParaStyles").parentStory.contents;
		}
		catch (e) {
		}
		if (paraString != "") {
			paraStyles = paraString.split("\r");
			nParaStyles = paraStyles.length;
			for (var s=0; s<nParaStyles; s++) {
				curPara = paraStyles[s];
				getParaDefs(pCtr, curPara, docName, newParaDoc, false);
				pCtr++;
			}
		}
		// quand le bloc texte "ParaStyles" n'est pas prsent ...
		else {
			for (var s=2; s<nDlogPStyles; s++) {
				curPara = dlogPStyles[s];
				getParaDefs(pCtr, curPara, docName, newParaDoc, false);
				pCtr++;
			}
		}
	}
	// lors du choix d'un autre article ce n'est que le style correspondant qui est trat
	else {
		curPara = dlogPStyles[paraID];
		getParaDefs(pCtr, curPara, docName, newParaDoc, true);
		pCtr++;
	}
	// appeler la fonction qui restaure les prfrences
	restoreApp(oldY1, oldX1, oldY2, oldX2);
	// afficher la premire page
	app.activeWindow.activeSpread = app.documents[0].spreads[0];
}
if (charID != 0) {
	var charStyles;
	var curChar;
	var nCharStyles;
	var newDocC = makeDoc();
	var newCharDoc = newDocC[0];
	var oldY1 = newDocC[1];
	var oldX1 = newDocC[2];
	var oldY2 = newDocC[3];
	var oldX2 = newDocC[4];
	var pCtr = 0;
	if (charID == 1) {
		var charString = "";
		try {
			// essayer de mmoriser le contenu du bloc "CharStyles"
			// lorsque l'astrisque a t slectionne
			charString = app.documents.item(docName).textFrames.item("CharStyles").parentStory.contents;
		}
		catch (e) {
		}
		if (charString != "") {
			charStyles = charString.split("\r");
			nCharStyles = charStyles.length;
				for (var s=0; s<nCharStyles; s++) {
				curChar = charStyles[s];
				getCharDefs(pCtr, curChar, docName, newCharDoc, false);
				pCtr++;
			}
		}
		// quand le bloc texte "ParaStyles" n'est pas prsent ...
		else {
			for (var s=2; s<nDlogCStyles; s++) {
				curChar = dlogCStyles[s];
				getCharDefs(pCtr, curChar, docName, newCharDoc, false);
				pCtr++;
			}
		}
	}
	// lors du choix d'un autre article ce n'est que le style correspondant qui est trat
	else {
		curChar = dlogCStyles[charID];
		getCharDefs(pCtr, curChar, docName, newCharDoc, true);
		pCtr++;
	}
	// appeler la fonction qui restaure les prfrences
	restoreApp(oldY1, oldX1, oldY2, oldX2);
	// afficher la premire page
	app.activeWindow.activeSpread = app.documents[0].spreads[0];
}


// *************************************************************
//         lister les properties 
//         du style de paragraphe choisi
// *************************************************************
function getParaDefs(pCtr, curPara, docName, newParaDoc, oneStyle) {
	var snm = curPara;
	try {
		curProps = app.documents.item(docName).paragraphStyles.item(curPara).properties;
		if (pCtr>0 && !oneStyle) {
			newParaDoc.pages.add();
		}
	}
	catch (e) {
		return;
	}
	
	// **********************************************
	// le volet "Gnral"
	// **********************************************
	var bas;
	var gen = new Array ();
	var nsp;
	var bon = curProps.basedOn.name;
	if (bon == undefined) {
		bas = "[Aucun style de paragraphe]";
	}
	else {
		bas = bon;
	}
	gen.push("\tD'aprs\t" + bas);
	var nxt = curProps.nextStyle.name;
	gen.push("\tStyle suivant\t" + nxt);
	genString = gen.join("\r");
	
	// **********************************************
	// les "Formats de caractre standard"
	// **********************************************
	var scf = new Array ();
	var aft = curProps.appliedFont.name;
	var afn = aft.split("\t")[0];
	var afs = aft.split("\t")[1];
	scf.push("\tFamille de police\t" + afn);
	scf.push("\tStyle de police\t" + afs);
	var siz = curProps.pointSize;
	scf.push("\tCorps\t" + siz + " pts");
	var led = curProps.leading;
	if (led == 1635019116) {
		var ald = curProps.autoLeading;
		led = "(" + ((siz * ald) / 100) + " pts)";
	}
	else {
		led = led + " pts";
	}
	scf.push("\tInterligne\t" + led);
	var kmd = curProps.kerningMethod;
	if (kmd == "Metrics") {
		kmd = "Mtrique";
	}
	else if (kmd == "Optical") {
		kmd = "Optique";
	}
	else if (kmd == "None") {
		kmd = "Aucun";
	}
	scf.push("\tCrnage\t" + kmd);
	var trk = curProps.tracking;
	scf.push("\tApproche\t" + trk);
	var cap = curProps.capitalization;
	if (cap == 1852797549) {
		cap = "Normal";
	}
	else if (cap == 1936548720) {
		cap = "Petites capitales";
	}
	else if (cap == 1634493296) {
		cap = "Tout en capitales";
	}
	else if (cap == 1664250723) {
		cap = "Tout en petites capitales OpenType";
	}
	scf.push("\tCasse\t" + cap);
	var pos = curProps.position;
	if (pos == 1852797549) {
		pos = "Normal";
	}
	else if (pos == 1936749411) {
		pos = "Suprieur/Exposant";
	}
	else if (pos == 1935831907) {
		pos = "Infrieur/Indice";
	}
	else if (pos == 1884247155) {
		pos = "Suprieur/Exposant OpenType";
	}
	else if (pos == 1884247138) {
		pos = "Infrieur/Indice OpenType";
	}
	else if (pos == 1884247150) {
		pos = "Numrateur OpenType";
	}
	else if (pos == 1884247140) {
		pos = "Dnominateur OpenType";
	}
	scf.push("\tPosition\t" + pos);
	var und = curProps.underline;
	if (und == false) {
		und = "dsactiv";
	}
	else {
		und = "activ";
	}
	scf.push("\tSoulign\t" + und);
	var stk = curProps.strikeThru;
	if (stk == false) {
		stk = "dsactiv";
	}
	else {
		stk = "activ";
	}
	scf.push("\tBarr\t" + stk);
	var lig = curProps.ligatures;
	if (lig == false) {
		lig = "dsactiv";
	}
	else {
		lig = "activ";
	}
	scf.push("\tLigatures\t" + lig);
	var nbr = curProps.noBreak;
	if (nbr == false) {nbr = "dsactiv"}
	else if (nbr == true) {nbr = "activ"}
	scf.push("\tSans retour autom.\t" + nbr);
	stdString = scf.join("\r");
	
	// **********************************************
	// les "Formats de caractre avancs"
	// **********************************************
	var sca = new Array ();
	var hsc = curProps.horizontalScale;
	sca.push("\tEchelle horizontale\t" + hsc + "%");
	var vsc = curProps.verticalScale;
	sca.push("\tEchelle verticale\t" + vsc + "%");
	var bls = curProps.baselineShift;
	sca.push("\tDcalage vertical\t" + bls + " pts");
	var skw = curProps.skew;
	sca.push("\tInclinaison\t" + skw + "");
	var lga = curProps.appliedLanguage.name;
	if (lga == "French") { lga = "Franais"; }
	else if (lga == "[No Language]") { lga = "[Aucune langue]"; }
	else if (lga == "German: Reformed") { lga = "Allemand : Rform"; }
	else if (lga == "German: Swiss") { lga = "Allemand : Suisse"; }
	else if (lga == "German: Traditional") { lga = "Allemand : Traditionnel"; }
	else if (lga == "English: Canadian") { lga = "Anglais : Canada"; }
	else if (lga == "English: USA") { lga = "Anglais : E.U."; }
	else if (lga == "English: USA Legal") { lga = "Anglais : E.U. Juridique"; }
	else if (lga == "English: USA Medical") { lga = "Anglais : E.U. Mdical"; }
	else if (lga == "English: UK") { lga = "Anglais : R.U."; }
	else if (lga == "Bulgarian") { lga = "Bulgare"; }
	else if (lga == "Catalan") { lga = "Catalan"; }
	else if (lga == "Croatian") { lga = "Croate"; }
	else if (lga == "Danish") { lga = "Danois"; }
	else if (lga == "Spanish: Castilian") { lga = "Espagnol : Castillan"; }
	else if (lga == "Estonian") { lga = "Estonien"; }
	else if (lga == "Finnish") { lga = "Finlandais"; }
	else if (lga == "French: Canadian") { lga = "Franais : Canada"; }
	else if (lga == "Greek") { lga = "Grec"; }
	else if (lga == "Hungarian") { lga = "Hongrois"; }
	else if (lga == "Italian") { lga = "Italien"; }
	else if (lga == "Latvian") { lga = "Letton"; }
	else if (lga == "Lithuanian") { lga = "Lituanien"; }
	else if (lga == "Norwegian: Bokmal") { lga = "Norvgien : Bokml"; }
	else if (lga == "Norwegian: Nynorsk") { lga = "Norvgien : Nynorsk"; }
	else if (lga == "Dutch") { lga = "Nerlandais"; }
	else if (lga == "Polish") { lga = "Polonais"; }
	else if (lga == "Portuguese") { lga = "Portugais"; }
	else if (lga == "Portuguese: Brazilian") { lga = "Portugais : Brsilien"; }
	else if (lga == "Romanian") { lga = "Roumain"; }
	else if (lga == "Russian") { lga = "Russe"; }
	else if (lga == "Slovak") { lga = "Slovaque"; }
	else if (lga == "Slovenian") { lga = "Slovne"; }
	else if (lga == "Swedish") { lga = "Sudois"; }
	else if (lga == "Czech") { lga = "Tchque"; }
	else if (lga == "Turkish") { lga = "Turc"; }
	sca.push("\tLangue\t" +lga);
	advString = sca.join("\r");
	
	// **********************************************
	// le volet "Retrait et espacement"
	// **********************************************
	var ind = new Array ();
	var jst = curProps.justification;
	if (jst == 1818584692) {
		jst = "A gauche";
	}
	else if (jst == 1667591796) {
		jst = "Centr";
	}
	else if (jst == 1919379572) {
		jst = "A droite";
	}
	else if (jst == 1818915700) {
		jst = "Justifi  gauche";
	}
	else if (jst == 1919578996) {
		jst = "Justifi  droite";
	}
	else if (jst == 1667920756) {
		jst = "Justifi au centre";
	}
	else if (jst == 1718971500) {
		jst = "Justifi";
	}
	else if (jst == 1630691955) {
		jst = "Align au dos";
	}
	else if (jst == 1633772147) {
		jst = "Align  l'oppos du dos";
	}
	ind.push("\tAlignement\t" + jst);
	var brl = curProps.balanceRaggedLines;
	if (brl == 1114394470) {
		brl = "dsactiv";
	}
	else if (brl == 1114396261) {
		brl = "activ (en forme de V)";
	}
	else if (brl == 1114391921) {
		brl = "activ (rgulirement)";
	}
	else if (brl == 1114394745) {
		brl = "activ (forme pyramidale)";
	}
	ind.push("\tEquilibrer drapeau\t" + brl);
	var lin = curProps.leftIndent;
	ind.push("\tRetrait  gauche\t" + lin + " mm");
	var fln = curProps.firstLineIndent;
	ind.push("\tRetrait de 1re ligne\t" + fln + " mm");
	var rin = curProps.rightIndent;
	ind.push("\tRetrait  droite\t" + rin + " mm");
	var lln = curProps.lastLineIndent;
	ind.push("\tRetr. dernire ligne\t" + lln + " mm");
	var spb = curProps.spaceBefore;
	ind.push("\tEspace avant\t" + spb + " mm");
	var spa = curProps.spaceAfter;
	ind.push("\tEspace aprs\t" + spa + " mm");
	var atb = curProps.alignToBaseline;
	if (atb == true) {
		if (curProps.gridAlignFirstLineOnly == false) {
			atb = "Toutes les lignes";
		}
		else {
			atb = "Premire ligne";
		}
	}
	else {
		atb = "Aucune ligne";
	}
	ind.push("\tAligner sur la grille\t" + atb);
	var insString = ind.join("\r");
	
	// **********************************************
	// le volet "Tabulations"
	// **********************************************
	var tbl = curProps.tabList;
	var nTabs = tbl.length;
	var tabString;
	if (nTabs == 0) {
		var tabString = "\tpas de dfinition";
	}
	else {
		var aChar;
		var allTabs = new Array ();
		var curAlg;
		var curPos;
		var curLead;
		allTabs.push("\talign.\tposition\tconduite\tcaract.");
		for (var i=0; i<nTabs; i++) {
			aChar = "";
			curAlg = tbl[i].alignment;
			if (curAlg == 1818584692) {
				curAlg = "gauche";
			}
			else if (curAlg == 1667591796) {
				curAlg = "centrer";
			}
			else if (curAlg == 1919379572) {
				curAlg = "droite";
			}
			else if (curAlg == 1952604515) {
				curAlg = "align";
				aChar = tbl[i].alignmentCharacter;
			}
			curPos = tbl[i].position;
			curLead = tbl[i].leader;
			allTabs.push("\t" + curAlg + "\t" + curPos + "\t" + curLead + "\t" + aChar);
		}
		tabString = allTabs.join("\r");
	}
	
	// **********************************************
	// les "Filets de paragraphe"
	// **********************************************
	var rab = curProps.ruleAbove;
	if (rab == false) {
		rabString = "\tFilet au-dessus\tdsactiv";
	}
	else {
		rap = new Array ();
		rap.push("\tFilet au-dessus\tactiv");
		var raw = curProps.ruleAboveLineWeight;
		rap.push("\tEpaisseur\t" + raw + " pts");
		var rat = curProps.ruleAboveType.name;
		rap.push("\tType\t" + rat);
		var rac = curProps.ruleAboveColor;
		if (rac == "Text Color") {
			rac = "(Couleur du texte)";
		}
		else {
			rac = rac.name;
			if (rac == "None") { rac = "[Aucun]"; }
			else if (rac == "Black") { rac = "[Noir]"; }
			else if (rac == "Paper") { rac = "[Papier]"; }
			else if (rac == "Registration") { rac = "[Reprage]"; }
		}
		rap.push("\tCouleur\t" + rac);
		var rai = curProps.ruleAboveTint;
		if (rai == -1) { rai = 100; }
		rap.push("\tTeinte\t" + rai + "%");
		var raop = curProps.ruleAboveOverPrint;
		if (raop == false) { raop = "non"; }
		else if (raop == true) { raop = "oui"; }
		else if (raop == undefined) { raop = "non dfini"; }
		rap.push("\tSurimpression\t" + raop);
		var ragc = curProps.ruleAboveGapColor;
		if (ragc == "Text Color") {
			ragc = "(Couleur du texte)";
		}
		else {
			ragc = ragc.name;
			if (ragc == "None") { ragc = "[Aucun]"; }
			else if (ragc == "Black") { ragc = "[Noir]"; }
			else if (ragc == "Paper") { ragc = "[Papier]"; }
			else if (ragc == "Registration") { ragc = "[Reprage]"; }
		}
		if (ragc != "[Aucun]") {
			rap.push("\tCouleur espace\t" + ragc);
			var ragi = curProps.ruleAboveGapTint;
			if (ragi == -1) { ragi = 100; }
			rap.push("\tTeinte espace\t" + ragi + "%");
			var rago = curProps.ruleAboveGapOverprint;
			if (rago == false) { rago = "non"; }
			else if (rago == true) { rago = "oui"; }
			else if (rago == undefined) { rago = "non dfini"; }
			rap.push("\tSurimpression\t" + rago);
		}
		var rawi = curProps.ruleAboveWidth;
		if (rawi == 1265399652) { rawi = "Colonne"; }
		else if (rawi == 1886681207) { rawi = "Texte"; }
		rap.push("\tLargeur\t" + rawi);
		var rao = curProps.ruleAboveOffset;
		rap.push("\tDcalage\t" + rao + " mm");
		var rali = curProps.ruleAboveLeftIndent;
		rap.push("\tRetrait  gauche\t" + rali + " mm");
		var rari = curProps.ruleAboveRightIndent;
		rap.push("\tRetrait  droite\t" + rari + " mm");
		rabString = rap.join("\r");
	}
	var rbe = curProps.ruleBelow;
	if (rbe == false) {
		rbeString = "\tFilet au-dessous\tdsactiv";
	}
	else {
		rbp = new Array ();
		rbp.push("\tFilet au-dessous\tactiv");
		var rbw = curProps.ruleBelowLineWeight;
		rbp.push("\tEpaisseur\t" + rbw + " pts");
		var rbt = curProps.ruleBelowType.name;
		rbp.push("\tType\t" + rbt);
		var rbc = curProps.ruleBelowColor;
		if (rbc == "Text Color") {
			rbc = "(Couleur du texte)";
		}
		else {
			rbc = rbc.name;
			if (rbc == "None") { rbc = "[Aucun]"; }
			else if (rbc == "Black") { rbc = "[Noir]"; }
			else if (rbc == "Paper") { rbc = "[Papier]"; }
			else if (rbc == "Registration") { rbc = "[Reprage]"; }
		}
		rbp.push("\tCouleur\t" + rbc);
		var rbi = curProps.ruleBelowTint;
		if (rbi == -1) { rbi = 100; }
		rbp.push("\tTeinte\t" + rbi + "%");
		var rbop = curProps.ruleBelowOverPrint;
		if (rbop == false) { rbop = "non"; }
		else if (rbop == true) { rbop = "oui"; }
		else if (rbop == undefined) { rbop = "non dfini"; }
		rbp.push("\tSurimpression\t" + rbop);
		var rbgc = curProps.ruleBelowGapColor;
		if (rbgc == "Text Color") {
			rbgc = "(Couleur du texte)";
		}
		else {
			rbgc = rbgc.name;
			if (rbgc == "None") { rbgc = "[Aucun]"; }
			else if (rbgc == "Black") { rbgc = "[Noir]"; }
			else if (rbgc == "Paper") { rbgc = "[Papier]"; }
			else if (rbgc == "Registration") { rbgc = "[Reprage]"; }
		}
		if (rbgc != "[Aucun]") {
			rbp.push("\tCouleur espace\t" + rbgc);
			var rbgi = curProps.ruleBelowGapTint;
			if (rbgi == -1) { rbgi = 100; }
			rbp.push("\tTeinte espace\t" + rbgi + "%");
			var rbgo = curProps.ruleBelowGapOverPrint;
			if (rbgo == false) { rbgo = "non"; }
			else if (rbgo == true) { rbgo = "oui"; }
			else if (rbgo == undefined) { rbgo = "non dfini"; }
			rbp.push("\tSurimpression\t" + rbgo);
		}
		var rbwi = curProps.ruleBelowWidth;
		if (rbwi == 1265399652) { rbwi = "Colonne"; }
		else if (rbwi == 1886681207) { rbwi = "Texte"; }
		rbp.push("\tLargeur\t" + rbwi);
		var rbo = curProps.ruleBelowOffset;
		rbp.push("\tDcalage\t" + rbo + " mm");
		var rbli = curProps.ruleBelowLeftIndent;
		rbp.push("\tRetrait  gauche\t" + rbli + " mm");
		var rbri = curProps.ruleBelowRightIndent;
		rbp.push("\tRetrait  droite\t" + rbri + " mm");
		rbeString = rbp.join("\r");
	}
	
	// **********************************************
	// les "Options d'enchanement"
	// **********************************************
	var kee = new Array ();
	var kwn = curProps.keepWithNext;
	kee.push("\tParagr. solidaires\t" + kwn + " lignes");
	var kat = curProps.keepAllLinesTogether;
	if (kat == false) {
		var fir = curProps.keepFirstLines;
		var las = curProps.keepLastLines;
		kee.push("\tLignes solidaires\tdbut: " + fir + " lignes / fin: " + las + " lignes");
	}
	else {
		kee.push("\tLignes solidaires\tToutes les lignes");
	}
	var stp = curProps.startParagraph;
	if (stp == 1851945579) {
		kee.push("\tDbut paragraphe\tN'importe o");
	}
	else if (stp == 1667396203) {
		kee.push("\tDbut paragraphe\tColonne suivante");
	}
	else if (stp == 1164993131) {
		kee.push("\tDbut paragraphe\tPage paire suivante");
	}
	else if (stp == 1313235563) {
		kee.push("\tDbut paragraphe\tBloc suivant");
	}
	else if (stp == 1332765291) {
		kee.push("\tDbut paragraphe\tPage impaire suivante");
	}
	else if (stp == 1885500011) {
		kee.push("\tDbut paragraphe\tPage suivante");
	}
	var kesString = kee.join("\r");
	
	// **********************************************
	// le volet "Csure"
	// **********************************************
	var hyp = new Array ();
	var hpn = curProps.hyphenation;
	if (hpn == false) {
		hyp.push("\tdsactiv");
	}
	else {
		var hwl = curProps.hyphenateWordsLongerThan;
		hyp.push("\tMots d'au moins\t" + hwl + " lettres");
		var haf = curProps.hyphenateAfterFirst;
		hyp.push("\tAprs premires\t" + haf + " lettres");
		var hbl = curProps.hyphenateBeforeLast;
		hyp.push("\tAvant dernires\t" + hbl + " lettres");
		var hll = curProps.hyphenateLadderLimit;
		hyp.push("\tLimite de csure\t" + hll + " tirets");
		var hzn = curProps.hyphenationZone;
		hyp.push("\tZone de csure\t" + hzn + " mm");
		var hwt = curProps.hyphenWeight;
		hyp.push("\tValeur\t" + hwt);
		var hcw = curProps.hyphenateCapitalizedWords;
		if (hcw == true) {
			hcw = "activ";
		}
		else {
			hcw = "dsactiv";
		}
		hyp.push("\tCouper mots Cap.\t" + hcw);
		var hlw = curProps.hyphenateLastWord;
		if (hlw == true) {
			hlw = "activ";
		}
		else {
			hlw = "dsactiv";
		}
		hyp.push("\tCouper dernier mot\t" + hlw);
	}
	var hysString = hyp.join("\r");
	
	// **********************************************
	// le volet "Justification"
	// **********************************************
	var jst = new Array ();
	var mws = curProps.minimumWordSpacing;
	var dws = curProps.desiredWordSpacing;
	var xws = curProps.maximumWordSpacing;
	jst.push("\tIntermots\t" + mws + "%\t" + dws + "%\t" + xws + "%");
	var mls = curProps.minimumLetterSpacing;
	var dls = curProps.desiredLetterSpacing;
	var xls = curProps.maximumLetterSpacing;
	jst.push("\tInterlettrage\t" + mls + "%\t" + dls + "%\t" + xls + "%");
	var mgs = curProps.minimumGlyphScaling;
	var dgs = curProps.desiredGlyphScaling;
	var xgs = curProps.maximumGlyphScaling;
	jst.push("\tEchelle glyphe\t" + mgs + "%\t" + dgs + "%\t" + xgs + "%");
	var ald = curProps.autoLeading;
	jst.push("\tInterlignage auto\t" + ald + "%");
	var swj = curProps.singleWordJustification;
	if (swj == 1818584692) {
		swj = "Align  gauche";
	}
	else if (swj == 1667591796) {
		swj = "Centr";
	}
	else if (swj == 1919379572) {
		swj = "Align  droite";
	}
	else if (swj == 1718971500) {
		swj = "Justifi";
	}
	jst.push("\tJust. d'un seul mot\t" + swj);
	var com = curProps.composer;
	if (com == "Compositeur de paragraphe Adobe") {
		com = "de paragraphe Adobe";
	}
	else if (com == "Compositeur de ligne simple Adobe") {
		com = "de ligne simple Adobe";
	}
	jst.push("\tCompositeur\t" + com);
	var jusString = jst.join("\r");
	
	// **********************************************
	// le volet "Lettrines et styles imbriqus"
	// **********************************************
	var noStyle = app.documents.item(docName).characterStyles[0].name;
	var dcp = new Array ();
	var dcl = curProps.dropCapLines;
	dcp.push("Lettrines\tLignes\t" + dcl);
	var csn;
	var dcc = curProps.dropCapCharacters;
	var dst = curProps.dropCapStyle.name;
	if (dcc > 0) {
		dcp.push("\tCaractres\t" + dcc);
		if (dst == noStyle) {
			csn = dst;
		}
		dcp.push("\tStyle de caractre\t" + dst);
		var dcsString = dcp.join("\r");
	}
	else {
		var dcsString = "\tLettrines\tpas de dfinition";
	}
	
	var nst = new Array ();
	var nes = app.documents.item(docName).paragraphStyles.item(snm).nestedStyles;
	var nStyles = nes.length;
	if (dst != noStyle) {
		nDef = nStyles-1;
		startVal = 1;
	}
	else {
		nDef = nStyles;
		startVal = 0;
	}
	if (nDef == 0) {
		nst.push("\tStyles imbriqus\tAucune dfinition");
	}
	else {
		if (nDef == 1) {
			nst.push("\tStyles imbriqus\t1 dfinition");
		}
		else {
			nst.push("\tStyles imbriqus\t" + nDef + " dfinitions");
		}
		var cst;
		var inc;
		var rep;
		var dlm;
		for (var x=startVal; x<nStyles; x++) {
			csn = nes[x].appliedCharacterStyle.name;
			var inc = nes[x].inclusive;
			if (inc == true) { inc = "sur"; }
			else { inc = "jusqu'"; }
			rep = nes[x].repetition;
			dlm = nes[x].delimiter;
			if (dlm == 1380541555) { dlm = "Phrases"; }
			else if (dlm == 1380541559) { dlm = "Mots"; }
			else if (dlm == 1380541539) { dlm = "caractres"; }
			else if (dlm == 1380541548) { dlm = "lettres"; }
			else if (dlm == 1380541507) { dlm = "lettrine"; }
			else if (dlm == 1380541540) { dlm = "chiffres"; }
			else if (dlm == 1396855379) { dlm = "Caractre imbriqu de fin"; }
			else if (dlm == 1380541556) { dlm = "Caractres de tabulation"; }
			else if (dlm == 1397124194) { dlm = "Saut de ligne forc"; }
			else if (dlm == 1397319796) { dlm = "Retrait jusqu' ce point"; }
			else if (dlm == 1397645907) { dlm = "Espaces inscables"; }
			else if (dlm == 1397058899) { dlm = "Cadratins"; }
			else if (dlm == 1397059155) { dlm = "Demi-cadratins"; }
			else if (dlm == 1380541545) { dlm = "Symbole d'image texte"; }
			else if (dlm == 1396797550) { dlm = "Numrotation auto des pages"; }
			else if (dlm == 1400073805) { dlm = "Marque de section"; }
			nst.push("\tStyle de caractre\t" + csn);
			nst.push("\t" + inc + "   " + rep + "\t" + dlm);
		}
	}
	var nssString = nst.join("\r");
	
	// **********************************************
	// le volet "Puces et numrotation"
	// **********************************************
	var ban = new Array ();
	var bnt = curProps.bulletsAndNumberingListType;
	if (bnt == 1280601711) {
		ban.push("\tType de liste\tAucun");
	}
	else if (bnt == 1280598644) {
		ban.push("\tType de liste\tPuces");
		var bch = curProps.bulletChar.characterValue;
		ban.push("\tPuce\t" + bch);
		var nbf = curProps.bulletChar.bulletsFont;
		if (nbf == "text font family") {
			nbf = "\tFamille de police\t(" + afn + ")";
			ban.push(nbf);
			var nbs = "\tStyle de police\t(" + afs + ")";
			ban.push(nbs);
		}
		else {
			ban.push("\tFamille de police\t" + nbf);
			var nbs = curProps.bulletChar.bulletsFontStyle;
			ban.push("\tStyle de police\t" + nbs);
		}
		var bsz = curProps.bulletsAndNumberingSize;
		if (bsz == 1635087471) {
			bsz = "\tTaille\t(" + siz + " pts)";
			ban.push(bsz);
		}
		else {
			ban.push("\tTaille\t" + bsz + " pts");
		}
		var nbc = curProps.bulletsAndNumberingColor;
		if (nbc == 1635087471) {
			nbc = "\tCouleur\t(Couleur du texte)";
			ban.push(nbc);
		}
		else {
			nbc = nbc.name;
			ban.push("\tCouleur\t" + nbc);
		}
	}
	else if (bnt == 1280601709) {
		ban.push("\tType de liste\tNumros");
		var nst = curProps.numberingStyle;
		ban.push("\tStyle\t" + nst);
		var nsp = curProps.numberSeparator;
		if (nsp == 46) { nsp = "."; }
		else if (nsp == 44) { nsp = ","; }
		else if (nsp == 58) { nsp = ":"; }
		else if (nsp == 41) { nsp = ")"; }
		else if (nsp == 93) { nsp = "]"; }
		else if (nsp == 0) { nsp = "Aucun"; }
		else if (nsp == 8212) { nsp = ""; }
		else if (nsp == 8211) { nsp = ""; }
		ban.push("\tSparateur\t" + nsp);
		var nst = curProps.numberStartAt;
		ban.push("\tDbut\t" + nst);
		var nbf = curProps.numberingFont;
		if (nbf == "text font family") {
			nbf = "\tFamille de police\t(" + afn + ")";
			ban.push(nbf);
			var nbs = "\tStyle de police\t(" + afs + ")";
			ban.push(nbs);
		}
		else {
			ban.push("\tFamille de police\t" + nbf);
			var nbs = curProps.numberingFontStyle;
			ban.push("\tStyle de police\t" + nbs);
		}
		var bsz = curProps.bulletsAndNumberingSize;
		if (bsz == 1635087471) {
			bsz = "\tTaille\t(" + siz + " pts)";
			ban.push(bsz);
		}
		else {
			ban.push("\tTaille\t" + bsz + " pts");
		}
		var nbc = curProps.bulletsAndNumberingColor;
		if (nbc == 1635087471) {
			nbc = "\tCouleur\t(Couleur du texte)";
			ban.push(nbc);
		}
		else {
			nbc = nbc.name;
			ban.push("\tCouleur\t" + nbc);
		}
	}
	var bnsString = ban.join("\r");
	
	// **********************************************
	// le volet "Couleur des caractres"
	// **********************************************
	var col = new Array ();
	var fco = curProps.fillColor.name;
	if (fco == "None") { fco = "[Aucun]"; }
	else if (fco == "Black") { fco = "[Noir]"; }
	else if (fco == "Paper") { fco = "[Papier]"; }
	else if (fco == "Registration") { fco = "[Reprage]"; }
	col.push("\tCouleur\t" + fco);
	var fti = curProps.fillTint;
	if (fti == -1) {
		fti = 100;
	}
	col.push("\tTeinte\t" + fti + "%");
	var opf = curProps.overprintFill;
	if (opf == true) {
		opf = "oui";
	}
	else {
		opf = "non";
	}
	col.push("\tSurimpression\t" + opf);
	var sco = curProps.strokeColor.name;
	if (sco == "None") { sco = "[Aucun]"; }
	else if (sco == "Black") { sco = "[Noir]"; }
	else if (sco == "Paper") { sco = "[Papier]"; }
	else if (sco == "Registration") { sco = "[Reprage]"; }
	col.push("\tContour: Couleur\t" + sco);
	if (sco != "[Aucun]") {
		var sti = curProps.strokeTint;
		if (sti == -1) {
			sti = 100;
		}
		col.push("\tContour: Teinte\t" + sti + "%");
		var swt = curProps.strokeWeight;
		col.push("\tContour: Epaisseur\t" + swt + " pts");
		var ops = curProps.overprintFill;
		if (ops == true) {
			ops = "oui";
		}
		else {
			ops = "non";
		}
		col.push("\tContour: Surimpr.\t" + ops);
	}
	var colString = col.join("\r");
	
	// **********************************************
	// le volet "Fonctionnalits OpenType"
	// **********************************************
	var otf = new Array ();
	var vCtr = 0;
	var oti = curProps.otfTitling;
	if (oti == true) {
		otf.push("\tVariantes titrage\tactiv");
		vCtr++;
	}
	var ofs = curProps.otfSwash;
	if (ofs == true) {
		otf.push("\tVariantes ornes\tactiv");
		vCtr++;
	}
	var oca = curProps.otfContextualAlternate;
	if (oca == true) {
		otf.push("\tVar. contextuelles\tactiv");
		vCtr++;
	}
	var ord = curProps.otfOrdinal;
	if (ord == true) {
		otf.push("\tOrdinaux\tactiv");
		vCtr++;
	}
	var fra = curProps.otfFraction;
	if (fra == true) {
		otf.push("\tFractions\tactiv");
		vCtr++;
	}
	var lig = curProps.otfDiscretionaryLigature;
	if (lig == true) {
		otf.push("\tLigatures cond.\tactiv");
		vCtr++;
	}
	var zer = curProps.otfSlashedZero;
	if (zer == true) {
		otf.push("\tZro barr\tactiv");
		vCtr++;
	}
	if (vCtr == 0) {
		otf.push("\tCases  cocher\taucune n'est active");
	}
	var ofs = curProps.otfFigureStyle;
	if (ofs == 1147563124) {
		otf.push("\tStyle de chiffre\tStyle de chiffre par dfaut");
	}
	else if (ofs == 1330932848) {
		otf.push("\tStyle de chiffre\tChiffres arabes alig. prop.");
	}
	else if (ofs == 1330933619) {
		otf.push("\tStyle de chiffre\tCaractres elzvir proport.");
	}
	else if (ofs == 1330931316) {
		otf.push("\tStyle de chiffre\tChiffres arabes alig. tabul.");
	}
	else if (ofs == 1330933620) {
		otf.push("\tStyle de chiffre\tCaractres elzvir tabulaires");
	}
	var oss = curProps.otfStylisticSets;
	var moreThanOne = false;
	if (oss == 0) {
		otf.push("\tJeux stylistiques\tAucun");
	}
	else {
		if (oss == 2) { oss = "1"; }
		else if (oss == 4) { oss = "2"; }
		else if (oss == 8) { oss = "3"; }
		else if (oss == 16) { oss = "4"; }
		else if (oss == 32) { oss = "5"; }
		else if (oss == 64) { oss = "6"; }
		else if (oss == 128) { oss = "7"; }
		else if (oss == 256) { oss = "8"; }
		else if (oss == 512) { oss = "9"; }
		else if (oss == 1024) { oss = "10"; }
		else if (oss == 2048) { oss = "11"; }
		else if (oss == 4096) { oss = "12"; }
		else if (oss == 8192) { oss = "13"; }
		else if (oss == 16384) { oss = "14"; }
		else if (oss == 32768) { oss = "15"; }
		else if (oss == 65536) { oss = "16"; }
		else if (oss == 131072) { oss = "17"; }
		else if (oss == 262144) { oss = "18"; }
		else if (oss == 524288) { oss = "19"; }
		else if (oss == 1048576) { oss = "20"; }
		else {
			moreThanOne = true;
			if (oss == 2097150) {
				otf.push("\tJeux stylistiques\tJeux 1  20");
			}
			else {
				var valList = new Array (1048576, 524288, 262144, 131072, 65536, 32768, 16384, 8192, 4096, 2048, 1024, 512, 256, 128, 64, 32, 16, 8, 4, 2);
				var indList = new Array (20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1);
				var setList = new Array ();
				for (var i=0; i<20; i++) {
					curVal = oss - valList[i];
					if (curVal > 0) {
						oss = curVal;
						setList.push(indList[i]);
					}
					else if (oss == valList[i]) {
						setList.push(indList[i]);
						break;
					}
				}
				setList.reverse();
				setString = setList.join(", ");
				otf.push("\tJeux stylistiques\tJeux " + setString);
			}
		}
		if (!moreThanOne) {
			otf.push("\tJeux stylistiques\tJeu " + oss);
		}
	}
	var otfString = otf.join("\r");
	
	// **********************************************
	// le volet "Options de soulignement"
	// **********************************************
	var uac = curProps.underline;
	if (uac == false) {
		undString = "\tSouligner\tdsactiv";
	}
	else {
		var und = new Array ();
		var unw = curProps.underlineWeight;
		if (unw == -9999) {
			und.push("\tEpaisseur\tAutomatique");
		}
		else {
			und.push("\tEpaisseur\t" + unw + " pts");
		}
		var uno = curProps.underlineOffset;
		if (uno == -9999) {
			und.push("\tDcalage\tAutomatique");
		}
		else {
			und.push("\tDcalage\t" + uno + " pts");
		}
		var unt = curProps.underlineType.name;
		und.push("\tType\t" + unt);
		var unc = curProps.underlineColor;
		if (unc == "Text Color") {
			unc = "(Couleur du texte)";
		}
		else {
			unc = unc.name;
			if (unc == "None") { unc = "[Aucun]"; }
			else if (unc == "Black") { unc = "[Noir]"; }
			else if (unc == "Paper") { unc = "[Papier]"; }
			else if (unc == "Registration") { unc = "[Reprage]"; }
		}
		und.push("\tCouleur\t" + unc);
		var uni = curProps.underlineTint;
		if (uni == -1) { uni = 100; }
		und.push("\tTeinte\t" + uni + "%");
		var unop = curProps.underlineOverprint;
		if (unop == false) { unop = "non"; }
		else if (unop == true) { unop = "oui"; }
		und.push("\tSurimpression\t" + unop);
		if (unt != "Plein") {
			var ungc = curProps.underlineGapColor;
			if (ungc == "Text Color") {
				ungc = "(Couleur du texte)";
			}
			else {
				ungc = ungc.name;
				if (ungc == "None") { ungc = "[Aucun]"; }
				else if (ungc == "Black") { ungc = "[Noir]"; }
				else if (ungc == "Paper") { ungc = "[Papier]"; }
				else if (ungc == "Registration") { ungc = "[Reprage]"; }
			}
			und.push("\tCouleur espace\t" + ungc);
			var ungi = curProps.underlineGapTint;
			if (ungi == -1) { ungi = 100; }
			und.push("\tTeinte espace\t" + ungi + "%");
			var ungo = curProps.underlineGapOverprint;
			if (ungo == false) { ungo = "non"; }
			else if (ungo == true) { ungo = "oui"; }
			else if (ungo == undefined) { ungo = "non dfini"; }
			und.push("\tSurimpression\t" + ungo);
		}
		undString = und.join("\r");
	}
	
	// **********************************************
	// le volet "Options de texte barr"
	// **********************************************
	var sac = curProps.strikeThru;
	if (sac == false) {
		var strString = "\tBarrer\tdsactiv";
	}
	else {
		var str = new Array ();
		var stw = curProps.strikeThroughWeight;
		if (stw == -9999) {
			str.push("\tEpaisseur\tAutomatique");
		}
		else {
			str.push("\tEpaisseur\t" + stw + " pts");
		}
		var sto = curProps.strikeThroughOffset;
		if (sto == -9999) {
			str.push("\tDcalage\tAutomatique");
		}
		else {
			str.push("\tDcalage\t" + sto + " pts");
		}
		var stt = curProps.strikeThroughType.name;
		str.push("\tType\t" + stt);
		var stc = curProps.strikeThroughColor;
		if (stc == "Text Color") {
			stc = "(Couleur du texte)";
		}
		else {
			stc = stc.name;
			if (stc == "None") { stc = "[Aucun]"; }
			else if (stc == "Black") { stc = "[Noir]"; }
			else if (stc == "Paper") { stc = "[Papier]"; }
			else if (stc == "Registration") { stc = "[Reprage]"; }
		}
		str.push("\tCouleur\t" + stc);
		var sti = curProps.strikeThroughTint;
		if (sti == -1) { sti = 100; }
		str.push("\tTeinte\t" + sti + "%");
		var skop = curProps.strikeThroughOverprint;
		if (skop == false) { skop = "non"; }
		else if (skop == true) { skop = "oui"; }
		str.push("\tSurimpression\t" + skop);
		if (stt != "Plein") {
			var stgc = curProps.strikeThroughGapColor;
			if (stgc == "Text Color") {
				stgc = "(Couleur du texte)";
			}
			else {
				stgc = stgc.name;
				if (stgc == "None") { stgc = "[Aucun]"; }
				else if (stgc == "Black") { stgc = "[Noir]"; }
				else if (stgc == "Paper") { stgc = "[Papier]"; }
				else if (stgc == "Registration") { stgc = "[Reprage]"; }
			}
			str.push("\tCouleur espace\t" + stgc);
			var stgi = curProps.strikeThroughGapTint;
			if (stgi == -1) { stgi = 100; }
			str.push("\tTeinte espace\t" + stgi + "%");
			var stgo = curProps.strikeThroughGapOverprint;
			if (stgo == false) { stgo = "non"; }
			else if (stgo == true) { stgo = "oui"; }
			else if (stgo == undefined) { stgo = "non dfini"; }
			str.push("\tSurimpression\t" + stgo);
		}
		strString = str.join("\r");
	}
	
	// **********************************************
	// crer un bloc texte
	var newFrame = newParaDoc.pages.item(-1).textFrames.add();
	newFrame.properties = {geometricBounds:[12, 15, 285, 200]};
	// deux colonnes 
	newFrame.textFramePreferences.textColumnCount = 2;
	
	// prparer une nouvelle liste
	var propsList = new Array (33);
	
	// peupler les lments
	propsList[0] = "Document  " + docName;
	propsList[1] = "\r\tNom du style\t" + snm;
	propsList[2] = genString; // ligne 196
	propsList[3] = "\rFormats de caractre standard"; // ligne 214
	propsList[4] = stdString;
	propsList[5] = "\rFormats des caractres avancs"; // ligne 314
	propsList[6] = advString;
	propsList[7] = "\rRetrait et espacement"; // ligne 366
	propsList[8] = insString;
	propsList[9] = "\rTabulations"; // ligne 440
	propsList[10] = tabString;
	propsList[11] = "\rFilets de paragraphe"; // ligne 479
	propsList[12] = rabString;
	propsList[13] = rbeString;
	propsList[14] = "\rOptions d'enchanement"; // ligne 613
	propsList[15] = kesString;
	propsList[16] = "\rCsure"; // ligne 649
	propsList[17] = hysString;
	propsList[18] = "\rJustification"; // ligne 689
	propsList[19] = jusString;
	propsList[20] = "\rLettrines et styles imbriqus"; // ligne 731
	propsList[21] = dcsString;
	propsList[22] = nssString;
	propsList[23] = "\rPuces et numrotation"; // ligne 807
	propsList[24] = bnsString;
	propsList[25] = "\rCouleur des caractres"; // ligne 897
	propsList[26] = colString;
	propsList[27] = "\rFonctionnalits OpenType"; // ligne 945
	propsList[28] = otfString;
	propsList[29] = "\rOptions de soulignement"; // ligne 1061
	propsList[30] = undString;
	propsList[31] = "\rOptions de texte barr"; // ligne 1130
	propsList[32] = strString;
	
	// convertir la liste en chane de caractres...
	var propsString = propsList.join("\r");
	// ... l'insrer dans le bloc texte...
	var curStory = newFrame.parentStory;
	curStory.contents = propsString;
	// ... et la formater
	try {
		curStory.appliedParagraphStyle = newParaDoc.paragraphStyles.item("02_definitions");
	}
	catch (e) {
	}
	// un formatage spcial pour les dfinitions de tabulations ventuelles
	if (!tabString.match("dfinition")) {
		var specTabs = new Array (4);
		specTabs[0] = {alignment:TabStopAlignment.rightAlign, position:16};
		specTabs[1] = {alignment:TabStopAlignment.leftAlign, position:20};
		specTabs[2] = {alignment:TabStopAlignment.leftAlign, position:56};
		specTabs[3] = {alignment:TabStopAlignment.leftAlign, position:76};
		try {
			curStory.paragraphs.itemByRange(39, 40+nTabs).tabList = specTabs;
		}
		catch (e) {
		}
	}
	// formater les soustitres
	try {
		curStory.paragraphs.item(0).appliedParagraphStyle = newParaDoc.paragraphStyles.item("01_soustitre");
	}
	catch (e) {
	}
	
	var nParas = curStory.paragraphs.length;
	for (var i=0; i<nParas; i++) {
		if (curStory.paragraphs[i].characters.length == 1) {
			try {
				curStory.paragraphs.item(i+1).appliedParagraphStyle = newParaDoc.paragraphStyles.item("01_soustitre");
			}
			catch (e) {
			}
		}
	}
	// rtablir le style "Regular" de quelques caractres
	try {
		curStory.paragraphs.item(0).characters.itemByRange(0, 9).fontStyle = "Regular";
	}
	catch (e) {
	}
	try {
		curStory.paragraphs.item(2).characters.itemByRange(0,13).fontStyle = "Regular";
	}
	catch (e) {
	}
	
	// tester le nombre de lignes de trois paragraphes et insrer un shift-return si ncessaire
	var testPara1 = curStory.paragraphs.item(2); // nom du style
	if (testPara1.lines.length == 2) {
		try {
			testPara1.characters.item(13).contents = 1397124194;
			testPara1.insertionPoints.item(14).contents = 1397909876;
		}
		catch (e) {
		}
	}
	var testPara2 = curStory.paragraphs.item(3); // bas sur
	if (testPara2.lines.length == 2) {
		try {
			testPara2.characters.item(8).contents = 1397124194;
			testPara2.insertionPoints.item(9).contents = 1397909876;
		}
		catch (e) {
		}
	}
	var testPara3 = curStory.paragraphs.item(4); // style suivant
	if (testPara3.lines.length == 2) {
		try {
			testPara3.characters.item(14).contents = 1397124194;
			testPara3.insertionPoints.item(15).contents = 1397909876;
		}
		catch (e) {
		}
	}
	var testPara4 = curStory.paragraphs.item(25); // langue
	if (testPara4.lines.length == 2) {
		try {
			testPara4.characters.item(7).contents = 1397124194;
			testPara4.insertionPoints.item(8).contents = 1397909876;
		}
		catch (e) {
		}
	}
	
	// passer en suprieur une abrviation
	curStory.paragraphs[31].characters.itemByRange(13, 14).position = 1936749411; //superscript
	
	// appliquer un tableautage spcial  "Justification"
	var startPara = 0;
	for (var i = 50; i<curStory.paragraphs.length; i++) {
		curPara = curStory.paragraphs[i];
		if (curPara.fontStyle == "Bold") {
			if (curPara.contents.match("Justification")) {
				startPara = i;
				break;
			}
		}
	}
	if (startPara != 0) {
		var justTabs = new Array (4);
		justTabs[0] = {alignment:TabStopAlignment.rightAlign, position:36};
		justTabs[1] = {alignment:TabStopAlignment.rightAlign, position:50};
		justTabs[2] = {alignment:TabStopAlignment.rightAlign, position:65};
		justTabs[3] = {alignment:TabStopAlignment.rightAlign, position:80};
		try {
			curStory.paragraphs.itemByRange(startPara+1, startPara+3).tabList = justTabs;
		}
		catch (e) {
		}
	}
	// supprimer les Returns entre les paragraphes
	app.changePreferences = app.findPreferences = null;
	curStory.search("\r\r", false, true, "\r");
	app.changePreferences = app.findPreferences = null;
}

// *************************************************************
//         lister les properties 
//         du style de caractres choisi
// *************************************************************
function getCharDefs(pCtr, curChar, docName, newCharDoc, oneStyle) {
	var snm = curChar;
	try {
		curProps = app.documents.item(docName).characterStyles.item(curChar).properties;
		if (pCtr>1 && pCtr%2==0) {
			newCharDoc.pages.add();
		}
	}
	catch (e) {
		return;
	}
	
	// **********************************************
	// le volet "Gnral"
	// **********************************************
	var bas;
	var gen = new Array ();
	var bon = curProps.basedOn.name;
	if (bon == undefined) {
		bas = "[Aucun]";
	}
	else {
		bas = bon;
	}
	gen.push("\tD'aprs\t" + bas);
	genString = gen.join("\r");
	
	// **********************************************
	// les "Formats de caractre standard"
	// **********************************************
	var scf = new Array ();
	var aft = curProps.appliedFont;
	if (aft == "" || aft == 1851876449) {
		aft = "non dfinie";
	}
	scf.push("\tFamille de police\t" + aft);
	var afs = curProps.fontStyle;
	if (afs == 1851876449) {
		afs = "non dfini";
	}
	scf.push("\tStyle de police\t" + afs);
	var siz = curProps.pointSize;
	if (siz != 1851876449) {
		scf.push("\tCorps\t" + siz + " pts");
	}
	else {
		scf.push("\tCorps\tnon dfini");
	}
	var led = curProps.leading;
	if (led == 1635019116) {
		var ald = curProps.autoLeading;
		led = "(" + ((siz * ald) / 100) + " pts)";
	}
	else if (led == 1851876449) {
		led = "non dfini";
	}
	else {
		led = led + " pts";
	}
	scf.push("\tInterligne\t" + led);
	var kmd = curProps.kerningMethod;
	if (kmd == "Metrics") {
		kmd = "Mtrique";
	}
	else if (kmd == "Optical") {
		kmd = "Optique";
	}
	else if (kmd == "None") {
		kmd = "Aucun";
	}
	else if (kmd == 1851876449) {
		kmd = "non dfini";
	}
	scf.push("\tCrnage\t" + kmd);
	var trk = curProps.tracking;
	if (trk == 1851876449) {
		trk = "non dfinie";
	}
	scf.push("\tApproche\t" + trk);
	var cap = curProps.capitalization;
	if (cap == 1852797549) {
		cap = "Normal";
	}
	else if (cap == 1936548720) {
		cap = "Petites capitales";
	}
	else if (cap == 1634493296) {
		cap = "Tout en capitales";
	}
	else if (cap == 1664250723) {
		cap = "Tout en petites capitales OpenType";
	}
	else if (cap == 1851876449) {
		cap = "non dfinie";
	}
	scf.push("\tCasse\t" + cap);
	var pos = curProps.position;
	if (pos == 1852797549) {
		pos = "Normal";
	}
	else if (pos == 1936749411) {
		pos = "Suprieur/Exposant";
	}
	else if (pos == 1935831907) {
		pos = "Infrieur/Indice";
	}
	else if (pos == 1884247155) {
		pos = "Suprieur/Exposant OpenType";
	}
	else if (pos == 1884247138) {
		pos = "Infrieur/Indice OpenType";
	}
	else if (pos == 1884247150) {
		pos = "Numrateur OpenType";
	}
	else if (pos == 1884247140) {
		pos = "Dnominateur OpenType";
	}
	else if (pos == 1851876449) {
		pos = "non dfinie";
	}
	scf.push("\tPosition\t" + pos);
	var und = curProps.underline;
	if (und == false) {
		und = "dsactiv";
	}
	else if (und == true) {
		und = "activ";
	}
	else if (und == 1851876449) {
		und = "non dfini";
	}
	scf.push("\tSoulign\t" + und);
	var stk = curProps.strikeThru;
	if (stk == false) {
		stk = "dsactiv";
	}
	else if (stk == true) {
		stk = "activ";
	}
	else if (stk == 1851876449) {
		stk = "non dfini";
	}
	scf.push("\tBarr\t" + stk);
	var lig = curProps.ligatures;
	if (lig == false) {
		lig = "dsactiv";
	}
	else if (lig == true) {
		lig = "activ";
	}
	else if (lig == 1851876449) {
		lig = "non dfini";
	}
	scf.push("\tLigatures\t" + lig);
	var nbr = curProps.noBreak;
	if (nbr == false) {nbr = "dsactiv"}
	else if (nbr == true) {nbr = "activ"}
	else if (nbr == 1851876449) {nbr = "non dfini";}
	scf.push("\tSans retour autom.\t" + nbr);
	stdString = scf.join("\r");
	
	// **********************************************
	// les "Formats des caractres avancs"
	// **********************************************
	var sca = new Array ();
	var hsc = curProps.horizontalScale;
	if (hsc != 1851876449) {
		sca.push("\tEchelle horizontale\t" + hsc + "%");
	}
	else {
		sca.push("\tEchelle horizontale\tnon dfinie");
	}
	var vsc = curProps.verticalScale;
	if (vsc != 1851876449) {
		sca.push("\tEchelle verticale\t" + vsc + "%");
	}
	else {
		sca.push("\tEchelle verticale\tnon dfinie");
	}
	var bls = curProps.baselineShift;
	if (bls != 1851876449) {
		sca.push("\tDcalage vertical\t" + bls + " pts");
	}
	else {
		sca.push("\tDcalage vertical\tnon dfini");
	}
	var skw = curProps.skew;
	if (skw != 1851876449) {
		sca.push("\tInclinaison\t" + skw + "");
	}
	else {
		sca.push("\tInclinaison\tnon dfinie");
	}
	try {
		var lga = curProps.appliedLanguage.name;
		if (lga == null) {
			lga = "non dfinie";
		}
		else if (lga == "French") { lga = "Franais"; }
		else if (lga == "[No Language]") { lga = "[Aucune langue]"; }
		else if (lga == "German: Reformed") { lga = "Allemand : Rform"; }
		else if (lga == "German: Swiss") { lga = "Allemand : Suisse"; }
		else if (lga == "German: Traditional") { lga = "Allemand : Traditionnel"; }
		else if (lga == "English: Canadian") { lga = "Anglais : Canada"; }
		else if (lga == "English: USA") { lga = "Anglais : E.U."; }
		else if (lga == "English: USA Legal") { lga = "Anglais : E.U. Juridique"; }
		else if (lga == "English: USA Medical") { lga = "Anglais : E.U. Mdical"; }
		else if (lga == "English: UK") { lga = "Anglais : R.U."; }
		else if (lga == "Bulgarian") { lga = "Bulgare"; }
		else if (lga == "Catalan") { lga = "Catalan"; }
		else if (lga == "Croatian") { lga = "Croate"; }
		else if (lga == "Danish") { lga = "Danois"; }
		else if (lga == "Spanish: Castilian") { lga = "Espagnol : Castillan"; }
		else if (lga == "Estonian") { lga = "Estonien"; }
		else if (lga == "Finnish") { lga = "Finlandais"; }
		else if (lga == "French: Canadian") { lga = "Franais : Canada"; }
		else if (lga == "Greek") { lga = "Grec"; }
		else if (lga == "Hungarian") { lga = "Hongrois"; }
		else if (lga == "Italian") { lga = "Italien"; }
		else if (lga == "Latvian") { lga = "Letton"; }
		else if (lga == "Lithuanian") { lga = "Lituanien"; }
		else if (lga == "Norwegian: Bokmal") { lga = "Norvgien : Bokml"; }
		else if (lga == "Norwegian: Nynorsk") { lga = "Norvgien : Nynorsk"; }
		else if (lga == "Dutch") { lga = "Nerlandais"; }
		else if (lga == "Polish") { lga = "Polonais"; }
		else if (lga == "Portuguese") { lga = "Portugais"; }
		else if (lga == "Portuguese: Brazilian") { lga = "Portugais : Brsilien"; }
		else if (lga == "Romanian") { lga = "Roumain"; }
		else if (lga == "Russian") { lga = "Russe"; }
		else if (lga == "Slovak") { lga = "Slovaque"; }
		else if (lga == "Slovenian") { lga = "Slovne"; }
		else if (lga == "Swedish") { lga = "Sudois"; }
		else if (lga == "Czech") { lga = "Tchque"; }
		else if (lga == "Turkish") { lga = "Turc"; }
		sca.push("\tLangue\t" +lga);
	}
	catch (e) {
		sca.push("\tLangue\tnon dfinie");
	}
	advString = sca.join("\r");
	
	// **********************************************
	// le volet "Couleur des caractres"
	// **********************************************
	var col = new Array ();
	try {
		var fco = curProps.fillColor.name;
		if (fco == "None") { fco = "[Aucun]" }
		else if (fco == "Black") { fco = "[Noir]" }
		else if (fco == "Paper") { fco = "[Papier]" }
		else if (fco == "Registration") { fco = "[Reprage]" }
		col.push("\tCouleur\t" + fco);
	}
	catch (e) {
		col.push("\tCouleur\tnon dfinie");
	}
	var fti = curProps.fillTint;
	if (fti != 1851876449) {
		if (fti == -1) {
			fti = 100;
		}
		col.push("\tTeinte\t" + fti + "%");
	}
	else {
		col.push("\tTeinte\tnon dfinie");
	}
	var opf = curProps.overprintFill;
	if (opf == true) {
		opf = "oui";
	}
	else if (opf == false) {
		opf = "non";
	}
	else if (opf == 1851876449) {
		opf = "non dfinie";
	}
	col.push("\tSurimpression\t" + opf);
	try {
		var sco = curProps.strokeColor.name;
		if (sco == "None") { sco = "[Aucun]" }
		else if (sco == "Black") { sco = "[Noir]" }
		else if (sco == "Paper") { sco = "[Papier]" }
		else if (sco == "Registration") { sco = "[Reprage]" }
		col.push("\tContour: Couleur\t" + sco);
	}
	catch (e) {
		col.push("\tContour: Couleur\tnon dfinie");
	}
	var sti = curProps.strokeTint;
	if (sti != 1851876449) {
		if (sti == -1) {
			sti = 100;
		}
		col.push("\tContour: Teinte\t" + sti + "%");
	}
	else {
		col.push("\tContour: Teinte\tnon dfinie");
	}
	var swt = curProps.strokeWeight;
	if (swt != 1851876449) {
		col.push("\tContour: Epaisseur\t" + swt + " pts");
	}
	else {
		col.push("\tContour: Epaisseur\tnon dfinie");
	}
	var ops = curProps.overprintFill;
	if (ops == true) {
		ops = "oui";
	}
	else if (ops == false) {
		ops = "non";
	}
	else if (ops == 1851876449) {
		ops = "non dfinie";
	}
	col.push("\tContour: Surimpr.\t" + ops);
	var colString = col.join("\r");
	
	// **********************************************
	// le volet "Fonctionnalits OpenType"
	// **********************************************
	var otf = new Array ();
	var vCtr = 0;
	var oti = curProps.otfTitling;
	if (oti == true) {
		otf.push("\tVariantes titrage\tactiv");
		vCtr++;
	}
	var ofs = curProps.otfSwash;
	if (ofs == true) {
		otf.push("\tVariantes ornes\tactiv");
		vCtr++;
	}
	var oca = curProps.otfContextualAlternate;
	if (oca == true) {
		otf.push("\tVar. contextuelles\tactiv");
		vCtr++;
	}
	var ord = curProps.otfOrdinal;
	if (ord == true) {
		otf.push("\tOrdinaux\tactiv");
		vCtr++;
	}
	var fra = curProps.otfFraction;
	if (fra == true) {
		otf.push("\tFractions\tactiv");
		vCtr++;
	}
	var lig = curProps.otfDiscretionaryLigature;
	if (lig == true) {
		otf.push("\tLigatures cond.\tactiv");
		vCtr++;
	}
	var zer = curProps.otfSlashedZero;
	if (zer == true) {
		otf.push("\tZro barr\tactiv");
		vCtr++;
	}
	if (vCtr == 0) {
		otf.push("\tCases  cocher\taucune n'est active");
	}
	var ofs = curProps.otfFigureStyle;
	if (ofs == 1147563124) {
		otf.push("\tStyle de chiffre\tStyle de chiffre par dfaut");
	}
	else if (ofs == 1330932848) {
		otf.push("\tStyle de chiffre\tChiffres arabes alig. prop.");
	}
	else if (ofs == 1330933619) {
		otf.push("\tStyle de chiffre\tCaractres elzvir proport.");
	}
	else if (ofs == 1330931316) {
		otf.push("\tStyle de chiffre\tChiffres arabes alig. tabul.");
	}
	else if (ofs == 1330933620) {
		otf.push("\tStyle de chiffre\tCaractres elzvir tabulaires");
	}
	var oss = curProps.otfStylisticSets;
	var moreThanOne = false;
	if (oss == 1851876449 || oss == 0) {
		otf.push("\tJeux stylistiques\tAucun");
	}
	else {
		if (oss == 2) { oss = "1"; }
		else if (oss == 4) { oss = "2"; }
		else if (oss == 8) { oss = "3"; }
		else if (oss == 16) { oss = "4"; }
		else if (oss == 32) { oss = "5"; }
		else if (oss == 64) { oss = "6"; }
		else if (oss == 128) { oss = "7"; }
		else if (oss == 256) { oss = "8"; }
		else if (oss == 512) { oss = "9"; }
		else if (oss == 1024) { oss = "10"; }
		else if (oss == 2048) { oss = "11"; }
		else if (oss == 4096) { oss = "12"; }
		else if (oss == 8192) { oss = "13"; }
		else if (oss == 16384) { oss = "14"; }
		else if (oss == 32768) { oss = "15"; }
		else if (oss == 65536) { oss = "16"; }
		else if (oss == 131072) { oss = "17"; }
		else if (oss == 262144) { oss = "18"; }
		else if (oss == 524288) { oss = "19"; }
		else if (oss == 1048576) { oss = "20"; }
		else {
			moreThanOne = true;
			if (oss == 2097150) {
				otf.push("\tJeux stylistiques\tJeux 1  20");
			}
			else {
				var valList = new Array (1048576, 524288, 262144, 131072, 65536, 32768, 16384, 8192, 4096, 2048, 1024, 512, 256, 128, 64, 32, 16, 8, 4, 2);
				var indList = new Array (20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1);
				var setList = new Array ();
				for (var i=0; i<20; i++) {
					curVal = oss - valList[i];
					if (curVal > 0) {
						oss = curVal;
						setList.push(indList[i]);
					}
					else if (oss == valList[i]) {
						setList.push(indList[i]);
						break;
					}
				}
				setList.reverse();
				setString = setList.join(", ");
				otf.push("\tJeux stylistiques\tJeux " + setString);
			}
		}
		if (!moreThanOne) {
			otf.push("\tJeux stylistiques\tJeu " + oss);
		}
	}
	var otfString = otf.join("\r");
	
	// **********************************************
	// le volet "Options de soulignement"
	// **********************************************
	var uac = curProps.underline;
	if (uac == false) {
		undString = "\tSouligner\tdsactiv";
	}
	else if (uac == 1851876449) {
		undString = "\tSouligner\tnon dfini";
	}
	else {
		var und = new Array ();
		var uCtr = 0;
		var unw = curProps.underlineWeight;
		if (unw == -9999) {
			und.push("\tEpaisseur\tAutomatique");
		}
		else if (unw == 1851876449) {
			und.push("\tEpaisseur\tnon dfinie");
			uCtr++;
		}
		else {
			und.push("\tEpaisseur\t" + unw + " pts");
		}
		var uno = curProps.underlineOffset;
		if (uno == -9999) {
			und.push("\tDcalage\tAutomatique");
		}
		else if (uno == 1851876449) {
			und.push("\tDcalage\tnon dfini");
			uCtr++;
		}
		else {
			und.push("\tDcalage\t" + uno + " pts");
		}
		try {
			var unt = curProps.underlineType.name;
			und.push("\tType\t" + unt);
		}
		catch (e) {
			und.push("\tType\tnon dfini");
			uCtr++;
		}
		var unc = curProps.underlineColor;
		if (unc == "Text Color") {
			unc = "(Couleur du texte)";
		}
		else {
			try {
				unc = unc.name;
				if (unc == "None") { unc = "[Aucun]"; }
				else if (unc == "Black") { unc = "[Noir]"; }
				else if (unc == "Paper") { unc = "[Papier]"; }
				else if (unc == "Registration") { unc = "[Reprage]"; }
				und.push("\tCouleur\t" + unc);
			}
			catch (e) {
				und.push("\tCouleur\tnon dfinie");
				uCtr++;
			}
		}
		var uni = curProps.underlineTint;
		if (uni != 1851876449) {
			if (uni == -1) { uni = 100; }
			und.push("\tTeinte\t" + uni + "%");
		}
		else {
			und.push("\tTeinte\tnon dfinie");
			uCtr++;
		}
		var unop = curProps.underlineOverprint;
		if (unop == false) { unop = "non" }
		else if (unop == true) { unop = "oui"; }
		else if (unop == 1851876449) { 
			unop = "non dfinie";
			uCtr++;
		}
		und.push("\tSurimpression trait\t" + unop);
		var ugCtr = 0;
		if (unt != "Plein") {
			var ungc = curProps.underlineGapColor;
			if (ungc == "Text Color") {
				und.push("\tCouleur espace\t(Couleur du texte)");
			}
			else {
				try {
					ungc = ungc.name;
					if (ungc == "None") { ungc = "[Aucun]"; }
					else if (ungc == "Black") { ungc = "[Noir]"; }
					else if (ungc == "Paper") { ungc = "[Papier]"; }
					else if (ungc == "Registration") { ungc = "[Reprage]"; }
					und.push("\tCouleur espace\t" + ungc);
				}
				catch (e) {
					und.push("\tCouleur espace\tnon dfinie");
					ugCtr++;
				}
			}
			var ungi = curProps.underlineGapTint;
			if (ungi != 1851876449) {
				if (ungi == -1) { ungi = 100; }
				und.push("\tTeinte espace\t" + ungi + "%");
			}
			else {
				und.push("\tTeinte espace\tnon dfinie");
				ugCtr++;
			}
			var ungo = curProps.underlineGapOverprint;
			if (ungo == false) { ungo = "non"; }
			else if (ungo == true) { ungo = "oui"; }
			else if (ungo == 1851876449) {
				ungo = "non dfinie";
				ugCtr++;
			}
			und.push("\tSurimpr. espace\t" + ungo);
		}
		else {
			ugCtr = 3;
		}
		if (uCtr == 6 && ugCtr == 3) {
			undString = "\tactiv\tmais rien n'est defini";
		}
		else {
			undString = und.join("\r");
		}
	}
	
	// **********************************************
	// le volet "Options de texte barr"
	// **********************************************
	var sac = curProps.strikeThru;
	if (sac == false) {
		var strString = "\tBarrer\tdsactiv";
	}
	else if (sac == 1851876449) {
		strString = "\tBarrer\tnon dfini";
	}
	else {
		var str = new Array ();
		var sCtr = 0;
		var stw = curProps.strikeThroughWeight;
		if (stw == -9999) {
			str.push("\tEpaisseur\tAutomatique");
		}
		else if (stw == 1851876449) {
			str.push("\tEpaisseur\tnon dfinie");
			sCtr++;
		}
		else {
			str.push("\tEpaisseur\t" + stw + " pts");
		}
		var sto = curProps.strikeThroughOffset;
		if (sto == -9999) {
			str.push("\tDcalage\tAutomatique");
		}
		else if (sto == 1851876449) {
			str.push("\tDcalage\tnon dfini");
			sCtr++;
		}
		else {
			str.push("\tDcalage\t" + sto + " pts");
		}
		try {
			var stt = curProps.strikeThroughType.name;
			str.push("\tType\t" + stt);
		}
		catch (e) {
			str.push("\tType\tnon dfini");
			sCtr++;
		}
		var stc = curProps.strikeThroughColor;
		if (stc == "Text Color") {
			stc = "(Couleur du texte)";
		}
		else {
			try {
				stc = stc.name;
				if (stc == "None") { stc = "[Aucun]" }
				else if (stc == "Black") { stc = "[Noir]" }
				else if (stc == "Paper") { stc = "[Papier]" }
				else if (stc == "Registration") { stc = "[Reprage]" }
				str.push("\tCouleur\t" + stc);
			}
			catch (e) {
				str.push("\tCouleur\tnon dfinie");
				sCtr++;
			}
		}
		var sti = curProps.strikeThroughTint;
		if (sti != 1851876449) {
			if (sti == -1) { sti = 100; }
			str.push("\tTeinte\t" + sti + "%");
		}
		else {
			str.push("\tTeinte\tnon dfinie");
			sCtr++;
		}
		var skop = curProps.strikeThroughOverprint;
		if (skop == false) { skop = "non"; }
		else if (skop == true) { skop = "oui"; }
		else if (skop == 1851876449) { 
			skop = "non dfinie";
			sCtr++;
		}
		str.push("\tSurimpression trait\t" + skop);
		var sgCtr =0;
		if (stt != "Plein") {
			var stgc = curProps.strikeThroughGapColor;
			if (stgc == "Text Color") {
				str.push("\tCouleur espace\t(Couleur du texte)");
			}
			else {
				try {
					stgc = stgc.name;
					if (stgc == "None") { stgc = "[Aucun]"; }
					else if (stgc == "Black") { stgc = "[Noir]"; }
					else if (stgc == "Paper") { stgc = "[Papier]"; }
					else if (stgc == "Registration") { stgc = "[Reprage]"; }
					str.push("\tCouleur espace\t" + stgc);
				}
				catch (e) {
					str.push("\tCouleur espace\tnon dfinie");
					sgCtr++;
				}
			}
			var stgi = curProps.strikeThroughGapTint;
			if (stgi != 1851876449) {
				if (stgi == -1) { stgi = 100; }
				str.push("\tTeinte espace\t" + stgi + "%");
			}
			else {
				str.push("\tTeinte espace\tnon dfinie");
				sgCtr++;
			}
			var stgo = curProps.strikeThroughGapOverprint;
			if (stgo == false) { stgo = "non"; }
			else if (stgo == true) { stgo = "oui"; }
			else if (stgo == undefined) { stgo = "non dfinie"; }
			else if (stgo == 1851876449) {
				stgo = "non dfinie";
				sgCtr++;
			}
			str.push("\tSurimpr. espace\t" + stgo);
		}
		else {
			sgCtr = 3;
		}
		if (sCtr == 6 && sgCtr == 3) {
			strString = "\tactiv\tmais rien n'est defini";
		}
		else {
			strString = str.join("\r");
		}
	}
	
	// **********************************************
	// crer un bloc texte
	var newFrame = newCharDoc.pages.item(-1).textFrames.add();
	if (pCtr%2==0 || oneStyle) {
		newFrame.properties = {geometricBounds:[12, 15, 285, 105.5]};
	}
	else {
		newFrame.properties = {geometricBounds:[12, 109.5, 285, 200]};
	}
	
	// prparer une nouvelle liste
	var propsList = new Array (15);
	
	// peupler les lments
	propsList[0] = "Document: " + docName;
	propsList[1] = "\r\tNom du style\t" + snm;
	propsList[2] = genString; // ligne 1383
	propsList[3] = "\rFormats de caractre standard"; // ligne 1398
	propsList[4] = stdString;
	propsList[5] = "\rFormats des caractres avancs"; // ligne 1533
	propsList[6] = advString;
	propsList[7] = "\rCouleur des caractres"; // ligne 1613
	propsList[8] = colString;
	propsList[9] = "\rFonctionnalits OpenType"; // ligne 1690
	propsList[10] = otfString;
	propsList[11] = "\rOptions de soulignement"; // ligne 1806
	propsList[12] = undString;
	propsList[13] = "\rOptions de texte barr"; // ligne 1933
	propsList[14] = strString;
	
	// convertir la liste en chane de caractres...
	var propsString = propsList.join("\r");
	// ... l'insrer dans le bloc texte...
	var curStory = newFrame.parentStory;
	curStory.contents = propsString;
	// ... et la formater
	try {
		curStory.appliedParagraphStyle = newCharDoc.paragraphStyles.item("02_definitions");
	}
	catch (e) {
	}
	// formater les soustitres
	try {
		curStory.paragraphs.item(0).appliedParagraphStyle = newCharDoc.paragraphStyles.item("01_soustitre");
	}
	catch (e) {
	}
	var nParas = curStory.paragraphs.length;
	for (var i=0; i<nParas; i++) {
		if (curStory.paragraphs[i].characters.length == 1) {
			try {
				curStory.paragraphs.item(i+1).appliedParagraphStyle = newCharDoc.paragraphStyles.item("01_soustitre");
			}
			catch (e) {
			}
		}
	}
	// rtablir le style "Regular" pour quelques caractres
	try {
		curStory.paragraphs.item(0).characters.itemByRange(0, 9).fontStyle = "Regular";
	}
	catch (e) {
	}
	try {
		curStory.paragraphs.item(2).characters.itemByRange(0,13).fontStyle = "Regular";
	}
	catch (e) {
	}
	// tester le nombre de lignes de deux paragraphes et insrer un shift-return si ncessaire
	var testPara1 = curStory.paragraphs.item(2); // nom du style
	if (testPara1.lines.length == 2) {
		try {
			testPara1.insertionPoints.item(14).contents = 1397124194;
			testPara1.insertionPoints.item(15).contents = 1397909876;
		}
		catch (e) {
		}
	}
	var testPara2 = curStory.paragraphs.item(3); // d'aprs
	if (testPara2.lines.length == 2) {
		try {
			testPara2.insertionPoints.item(9).contents = 1397124194;
			testPara2.insertionPoints.item(10).contents = 1397909876;
		}
		catch (e) {
		}
	}
	
	// supprimer les Returns entre les paragraphes
	app.changePreferences = app.findPreferences = null;
	curStory.search("\r\r", false, true, "\r");
	app.changePreferences = app.findPreferences = null;
}

// crer un nouveau document
function makeDoc() {
	with (app.marginPreferences){
		// mmoriser les prfrences des marges
		var oldY1 = top;
		var oldX1 = left;
		var oldY2 = bottom;
		var oldX2 = right;
		// modifier les valeurs des marges
		top = 0;
		left = 0;
		bottom = 0;
		right = 0;
	}
	// crer le document
	var newDoc = app.documents.add();
	newDoc.documentPreferences.properties = {pageWidth:210, pageHeight:297, facingPages:false};
	// dfinir les tabulations
	var mainTabs = new Array (2);
	mainTabs[0] = {alignment:TabStopAlignment.rightAlign, position:36};
	mainTabs[1] = {alignment:TabStopAlignment.leftAlign, position:40};
	// crer deux styles de paragraphes
	try {
		var pStyle1 = newDoc.paragraphStyles.add();
		pStyle1.name = "01_soustitre";
		pStyle1.properties = {pointSize:12, leading: 14, fillColor:"Black", fillTint:-1, 
			justification:Justification.leftAlign, alignToBaseline:false, tabList:mainTabs, 
			fontStyle:"Bold", spaceBefore:3, ruleAbove:true, ruleAboveLineWeight:.5, ruleAboveOffset:5};
	}
	catch (e) {
	}
	try {
		var pStyle2 = newDoc.paragraphStyles.add();
		pStyle2.name = "02_definitions";
		pStyle2.properties = {pointSize:12, leading: 14, fillColor:"Black", fillTint:-1, 
			justification:Justification.leftAlign, alignToBaseline:false, tabList:mainTabs};
	}
	catch (e) {
	}
	return [newDoc, oldY1, oldX1, oldY2, oldX2];
}

// restaurer les prfrences de l'application modifies
function restoreApp(oldY1, oldX1, oldY2, oldX2) {
	with (app.marginPreferences){
		top = oldY1;
		left = oldX1;
		bottom = oldY2;
		right = oldX2;
	}
}
