//S3_ArrondirValeurs_203f.js
// 29.12.08 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//Ce script sert  remplacer des valeurs aux positions dcimales nombreuses 
// une valeur ronde des styles de paragraphes et de caractres

// tester si un document est ouvert
if (app.documents.length == 0) {
	alert ("Il n'y a pas de document ouvert.", "Attention");
	exit();
}

//--- dresser la liste des styles de paragraphes ---//
var paraStyles = app.documents[0].paragraphStyles.everyItem().name;
// remplacer le contenu du premier lment par une astrisque
paraStyles[0] = "*";
// insrer un lment vide au dbut
paraStyles = [""].concat(paraStyles);
nParaStyles = paraStyles.length;

//--- dresser la liste des styles de caractres ---//
var charStyles = app.documents[0].characterStyles.everyItem().name;
// remplacer le contenu du premier lment par une astrisque
charStyles[0] = "*";
// insrer un lment vide au dbut
charStyles = [""].concat(charStyles);
nCharStyles = charStyles.length;

// effacer des dialogues qui sont ventuellement rests dans la mmoire
try {
	app.dialogs.everyItem().destroy();
}
catch (e) {
}

// activer l'affichage des dialogues (mesure prventive)
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

// crer un dialogue
var aDialog = app.dialogs.add({name:"Slectionner le style  modifier", canCancel:true});
with (aDialog) {
	with (dialogColumns.add()) {
		with (dialogRows.add()) {
			staticTexts.add({staticLabel:"Style de paragraphes:"});
			staticTexts.add({staticLabel:" "});
		}
		with (borderPanels.add()) {
			with (dialogColumns.add()) {
				var paraName = dropdowns.add({stringList:paraStyles, selectedIndex:0, minWidth:180});
			}
		}
		with (dialogRows.add()) {
			staticTexts.add({staticLabel:"Style de caractres:"});
			staticTexts.add({staticLabel:" "});
		}
		with (borderPanels.add()) {
			with (dialogColumns.add()) {
				var charName = dropdowns.add({stringList:charStyles, selectedIndex:0, minWidth:180});
			}
		}
	}
	with (dialogColumns.add()) {
		staticTexts.add({staticLabel:"", minWidth:4});
	}
}
// montrer le dialogue
if (aDialog.show() == true) {
	// reprendre les choix de l'utilisateur
	var paraID = paraName.selectedIndex;
	var charID = charName.selectedIndex;
	// effacer le dialogue de la mmoire
	aDialog.destroy();
}
else {
	aDialog.destroy();
	exit();
}

// tester le choix de l'utilisateur
if (paraID != 0) {
	if (paraID == 1) {
		try {
			var paraString = app.documents[0].textFrames.item("ParaStyles").parentStory.contents;
			paraStyles = paraString.split("\r");
			paraStyles = ["", "*"].concat(paraStyles);
			nParaStyles = paraStyles.length;
		}
		catch (e) {
		}
		for (var p=2; p<nParaStyles; p++) {
			roundParaVals(p);
		}
	}
	else {
		roundParaVals(paraID);
	}
}
if (charID != 0) {
	if (charID == 1) {
		try {
			var charString = app.documents[0].textFrames.item("CharStyles").parentStory.contents;
			charStyles = charString.split("\r");
			charStyles = ["", "*"].concat(charStyles);
			nCharStyles = charStyles.length;
		}
		catch (e) {
		}
		for (var c=2; c<nCharStyles; c++) {
			roundCharVals(c);
		}
	}
	else {
		roundCharVals(charID);
	}
}

// informer l'utilisateur
alert("C'est fait.", " ");

//**********************************************************
// arrondir les valeurs des styles de paragraphe
//**********************************************************
function roundParaVals(p) {
	try {
		// mmoriser les attributs du style actuel
		var curPara = app.documents[0].paragraphStyles.item(paraStyles[p])
		var curProps = curPara.properties;
		// le corps
		var siz = curProps.pointSize;
		siz = Math.floor((siz*1000) + 0.5) / 1000;
		// l'interlignage
		var led = curProps.leading;
		led = Math.floor((led*1000) + 0.5) / 1000;
		// l'chelle horizontale
		var hsc = curProps.horizontalScale;
		hsc = Math.floor((hsc*1000) + 0.5) / 1000;
		// le dcalage de la ligne de base
		var bls = curProps.baselineShift;
		bls = Math.floor((bls*1000) + 0.5) / 1000;
		// le retrait  gauche
		var lin = curProps.leftIndent;
		lin = Math.floor((lin*1000) + 0.5) / 1000;
		// le retrait de la premire ligne
		var fln = curProps.firstLineIndent;
		fln = Math.floor((fln*1000) + 0.5) / 1000;
		// le retrait  droite
		var rin = curProps.rightIndent;
		rin = Math.floor((rin*1000) + 0.5) / 1000;
		// l'espace avant
		var spb = curProps.spaceBefore;
		spb = Math.floor((spb*1000) + 0.5) / 1000;
		// l'espace aprs
		var spa = curProps.spaceAfter;
		spa = Math.floor((spa*1000) + 0.5) / 1000;
		// la valeur intermots minimale
		var mws = curProps.minimumWordSpacing;
		mws = Math.floor(mws + 0.5);
		// l'interlignage auto.
		var ald = curProps.autoLeading;
		ald = Math.floor(ald + 0.5);
		// appliquer les valeurs arrondies
		curPara.properties = {pointSize:siz, leading:led, horizontalScale:hsc, baselineShift:bls, leftIndent:lin, 
			firstLineIndent:fln, rightIndent:rin, spaceBefore:spb, spaceAfter:spa, minimumWordSpacing:mws, autoLeading:ald};
		
		// les tabulateurs
		var tbl = curProps.tabList;
		var nTabs = tbl.length;
		if (nTabs != 0) {
			for (var i=0; i<nTabs; i++) {
				var curPos = tbl[i].position;
				curPos = Math.floor((curPos*1000) + 0.5) / 1000;
				tbl[i].position = curPos;
			}
			// appliquer les valeurs arrondies
			curPara.properties = {tabList:tbl};
		}
		
		// les filets de paragraphe "au-dessus"
		var rab = curProps.ruleAbove;
		if (rab) {
			var raw = curProps.ruleAboveLineWeight;
			raw = Math.floor((raw*1000) + 0.5) / 1000;
			var rao = curProps.ruleAboveOffset;
			rao = Math.floor((rao*1000) + 0.5) / 1000;
			var rali = curProps.ruleAboveLeftIndent;
			rali = Math.floor((rali*1000) + 0.5) / 1000;
			var rari = curProps.ruleAboveRightIndent;
			rari = Math.floor((rari*1000) + 0.5) / 1000;
			// appliquer les valeurs arrondies
			curPara.properties = {ruleAboveLineWeight:raw, ruleAboveOffset:rao, ruleAboveLeftIndent:rali, ruleAboveRightIndent:rari};
		}
		// les filets de paragraphe "au-dessous"
		var rbe = curProps.ruleBelow;
		if (rbe) {
			var rbw = curProps.ruleBelowLineWeight;
			rbw = Math.floor((rbw*1000) + 0.5) / 1000;
			var rbo = curProps.ruleBelowOffset;
			rbo = Math.floor((rbo*1000) + 0.5) / 1000;
			var rbli = curProps.ruleBelowLeftIndent;
			rbli = Math.floor((rbli*1000) + 0.5) / 1000;
			var rbri = curProps.ruleBelowRightIndent;
			rbri = Math.floor((rbri*1000) + 0.5) / 1000;
			// appliquer les valeurs arrondies
			curPara.properties = {ruleBelowLineWeight:rbw, ruleBelowOffset:rbo, ruleBelowLeftIndent:rbli, ruleBelowRightIndent:rbri};
		}
	}
	catch (e) {
	}
}

//**********************************************************
// arrondir les valeurs des styles de caractres
//**********************************************************
function roundCharVals(c) {
	// mmoriser les attributs du style actuel
	var curChar = app.documents[0].characterStyles.item(charStyles[c])
	var curProps = curChar.properties;
	try {
		// le corps
		var siz = curProps.pointSize;
		siz = Math.floor((siz*1000) + 0.5) / 1000;
		// appliquer la valeur arrondie
		curChar.pointSize = siz;
	}
	catch (e) {
	}
	try {
		// l'interlignage
		var led = curProps.leading;
		led = Math.floor((led*1000) + 0.5) / 1000;
		// appliquer la valeur arrondie
		curChar.leading = led;
	}
	catch (e) {
	}
	try {
		// l'chelle horizontale
		var hsc = curProps.horizontalScale;
		hsc = Math.floor((hsc*1000) + 0.5) / 1000;
		// appliquer la valeur arrondie
		curChar.horizontalScale = hsc;
	}
	catch (e) {
	}
	try {
		// le dcalage de la ligne de base
		var bls = curProps.baselineShift;
		bls = Math.floor((bls*1000) + 0.5) / 1000;
		// appliquer la valeur arrondie
		curChar.baselineShift = bls;
	}
	catch (e) {
	}
}